run the sdemon command error(DB2)

242
4
05-18-2014 07:13 PM
zhilongyang
New Contributor
Hello all:
I'm on the window of the 64 systems installed DB2 V9.7 and spatial extender V9.7.
Creating an operating system account sde/123456, and add sde added to db2admns user group.
Creating a database mysdedb, and authorize: GRANT DBADM ON DATABASE TO USER SDE
Run db2se enable_db mysdedb command is successful,
DB2 administrator account is db2admin/db2admin.

Now I'm in this machine installed DB2 installed on the arcsde 10.1 for db2, and configured as follows:
-> sdeservice-o create-d DB2, DB2-0-p 123456

-> sdeservice-o register-d DB2, DB2-0-r ADMIN_DATABASE-v mysdedb

-> sdemon-o start-p 123456

Run sdemon, error log is as follows:
-------------------------------------------------- -----
ArcSDE 10.1 for DB2 Build 679 Thu Apr 5 11:43:21 2012
-------------------------------------------------- -----
Instance initialized for sde ...
Connected to instance ...
Previous SDE Server Release 0.0.0 is not compatible with the current Release 10.1.0.
--------------------------------------------------------

Someone help me answer the above questions? Thank you very much!
0 Kudos
4 Replies
NidhinKarthikeyan
Regular Contributor II
It seems that you had created and configured an  IBM DB2 Database. Did you run  'Enable Enterprise Geodatabase' tool (creates geodatabase system tables, stored procedures, functions, and types in an existing enterprise database, thereby enabling geodatabase functionality in the database).

DB2 9.7 fix pack 4 is the minimum supported DBMS version. In general, later fix packs are assumed to work.
0 Kudos
zhilongyang
New Contributor
It seems that you had created and configured an  IBM DB2 Database. Did you run  'Enable Enterprise Geodatabase' tool (creates geodatabase system tables, stored procedures, functions, and types in an existing enterprise database, thereby enabling geodatabase functionality in the database).

DB2 9.7 fix pack 4 is the minimum supported DBMS version. In general, later fix packs are assumed to work.



Thank you very much for answering my question!

my DB2's version is V9.7 pack 7 , and �??Run db2se enable_db mysdedb command is successful�?��?I connet to this database can see many table like "GSE_XXX" with mode "DB2GSE",and many view like "ST_xxx" with mode "DB2GSE"�?Whether this is already enabled�?

run commond 'db2se endable_db' equals run tool 'Enable Enterprise Geodatabase'?
0 Kudos
NidhinKarthikeyan
Regular Contributor II
'db2se enable_db' command is DB2 Spatial Extender Command. This command is for spatially enabling the database. After spatially enabling a DB2 database, you have to set up a connection to DB2 and Enable geodatabase functionality in a DB2 database.
0 Kudos
VinceAngelo
Esri Esteemed Contributor
The 'db2se' command adds a geometry datatype to the database.  This datatype
is a prerequisite for a geodatabase, but can be used without ArcGIS.  Starting
at ArcGIS 10.1, the *only* way to add a geodatabase to an RDBMS instance
is through the Create/Enable Enterprise Geodatabase tools.

Creating application server services is deprecated at ArcGIS 10.2.  I suggest you
start transitioning to the Direct Connect protocol soon, while you still have the
option of using both.

- V
0 Kudos